Darcs.Patch.Witnesses.Ordered

# Directed Types

data (a1 :> a2) wX wY

data FL a wX wZ

data RL a wX wZ

# Merge Types

data (a1 :\/: a2) wX wY

data (a3 :/\: a4) wX wY

data (a1 :||: a2) wX wY

data Fork common left right wA wX wY

# Functions

lengthFL

mapFL

mapFL_FL

spanFL

foldlFL

allFL

anyFL

filterFL

splitAtFL

splitAtRL

bunchFL

foldlRL

lengthRL

isShorterThanRL

mapRL

mapRL_RL

zipWithFL

filterOutFLFL

filterOutRLRL

filterRL

reverseFL

reverseRL

(+>+)

(+<+)

nullFL

concatFL

concatRL

snocRLSealed

nullRL

toFL

dropWhileFL

dropWhileRL

spanFL_M

mapFL_FL_M

eqFL

eqFLRev

eqFLUnsafe